## com.lowagie.text.pdf
Interface TSAClient

All Known Implementing Classes:
  TSAClientBouncyCastle

    public interface TSAClient

Time Stamp Authority client (caller) interface.

Interface used by the PdfPKCS7 digital signature builder to call Time Stamp Authority providing RFC 3161 compliant time stamp token.

Since:
  2.1.6
Author:
  Martin Brunecky, 07/17/2007

Method Summary
`byte[]` `getTimeStampToken(PdfPKCS7 caller, byte[] imprint)` Get RFC 3161 timeStampToken.
`int` `getTokenSizeEstimate()` Get the time stamp token size estimate.

Method Detail

### getTokenSizeEstimate

    int getTokenSizeEstimate()

  Get the time stamp token size estimate. Implementation must return value large enough to accomodate the entire token returned by getTimeStampToken() _prior_ to actual getTimeStampToken() call.

  Returns:
    an estimate of the token size

### getTimeStampToken

    byte[] getTimeStampToken(PdfPKCS7 caller,
                             byte[] imprint)
                             throws java.lang.Exception

  Get RFC 3161 timeStampToken. Method may return null indicating that timestamp should be skipped.

  Parameters:
    `caller` - PdfPKCS7 - calling PdfPKCS7 instance (in case caller needs it)
    `imprint` - byte[] - data imprint to be time-stamped
  Returns:
    byte[] - encoded, TSA signed data of the timeStampToken
  Throws:
    `java.lang.Exception` - - TSA request failed

Hosted by Hostbasket